export interface DmsBaseDeviceSupplierVO {
  /**
   * 主键标识
   */
  supplierId: string | number;

  /**
   * 供应商编号
   */
  supplierCode: string;

  /**
   * 供应商名称
   */
  supplierName: string;

  /**
   * 供应商联系人
   */
  supplierPerson: string;

  /**
   * 供应商电话
   */
  supplierTel: string;

  /**
   * 供应商地址
   */
  supplierAddress: string;

  /**
   * 供应商状态
   */
  supplierStatus: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBaseDeviceSupplierForm extends BaseEntity {
  /**
   * 主键标识
   */
  supplierId?: string | number;

  /**
   * 供应商编号
   */
  supplierCode?: string;

  /**
   * 供应商名称
   */
  supplierName?: string;

  /**
   * 供应商联系人
   */
  supplierPerson?: string;

  /**
   * 供应商电话
   */
  supplierTel?: string;

  /**
   * 供应商地址
   */
  supplierAddress?: string;

  /**
   * 供应商状态
   */
  supplierStatus?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBaseDeviceSupplierQuery extends PageQuery {

  /**
   * 主键标识
   */
  supplierId?: string | number;

  /**
   * 供应商编号
   */
  supplierCode?: string;

  /**
   * 供应商名称
   */
  supplierName?: string;

  /**
   * 供应商联系人
   */
  supplierPerson?: string;

  /**
   * 供应商电话
   */
  supplierTel?: string;

  /**
   * 供应商地址
   */
  supplierAddress?: string;

  /**
   * 供应商状态
   */
  supplierStatus?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



