export interface DmsBaseShutTypeVO {
  /**
   * 主键标识
   */
  shutTypeId: string | number;

  /**
   * 停机类型编号
   */
  shutTypeCode: string;

  /**
   * 停机类型名称
   */
  shutTypeName: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBaseShutTypeForm extends BaseEntity {
  /**
   * 主键标识
   */
  shutTypeId?: string | number;

  /**
   * 停机类型编号
   */
  shutTypeCode?: string;

  /**
   * 停机类型名称
   */
  shutTypeName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBaseShutTypeQuery extends PageQuery {

  /**
   * 主键标识
   */
  shutTypeId?: string | number;

  /**
   * 停机类型编号
   */
  shutTypeCode?: string;

  /**
   * 停机类型名称
   */
  shutTypeName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



