export interface DmsFaultComponentsPartsVO {
  /**
   * 故障报修零部件内容ID
   */
  componentsPartsId: string | number;

  /**
   * 故障报修工单ID，关联故障报修工单主键
   */
  repairInstanceId: string | number;

  /**
   * 零部件名称
   */
  partName: string;

  /**
   * 零部件规格
   */
  partSpecifications: string;

  /**
   * 数量
   */
  amount: number;

}

export interface DmsFaultComponentsPartsForm extends BaseEntity {
  /**
   * 故障报修零部件内容ID
   */
  componentsPartsId?: string | number;

  /**
   * 故障报修工单ID，关联故障报修工单主键
   */
  repairInstanceId?: string | number;

  /**
   * 零部件名称
   */
  partName?: string;

  /**
   * 零部件规格
   */
  partSpecifications?: string;

  /**
   * 数量
   */
  amount?: number;

}

export interface DmsFaultComponentsPartsQuery extends PageQuery {

  /**
   * 故障报修零部件内容ID
   */
  componentsPartsId?: string | number;

  /**
   * 故障报修工单ID，关联故障报修工单主键
   */
  repairInstanceId?: string | number;

  /**
   * 零部件名称
   */
  partName?: string;

  /**
   * 零部件规格
   */
  partSpecifications?: string;

  /**
   * 数量
   */
  amount?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



