export interface DefectDetailVO {
  /**
   * 主键标识
   */
  defectDetailId: string | number;

  /**
   * 病疵编码
   */
  defectCode: number;

  /**
   * 病疵描述
   */
  defectDesc: string;

  /**
   * 病疵类型
   */
  defectType: string;

  /**
   * 排序
   */
  sort: string;

  /**
   * 工序
   */
  operation: string;

  /**
   * 层级
   */
  defectLevel: string;

  /**
   * 状态（0正常 1停用）
   */
  status: string;

  /**
   * 是否删除（1是 0否）
   */
  isFlag: string;

  /**
   * 预留字段
   */
  attr1: string;

  /**
   * 预留字段
   */
  attr2: string;

  /**
   * 预留字段
   */
  attr3: string;

  /**
   * 预留字段
   */
  attr4: string;

}

export interface DefectDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  defectDetailId?: string | number;

  /**
   * 病疵编码
   */
  defectCode?: number;

  /**
   * 病疵描述
   */
  defectDesc?: string;

  /**
   * 病疵类型
   */
  defectType?: string;

  /**
   * 排序
   */
  sort?: string;

  /**
   * 工序
   */
  operation?: string;

  /**
   * 层级
   */
  defectLevel?: string;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;

  /**
   * 是否删除（1是 0否）
   */
  isFlag?: string;

  /**
   * 预留字段
   */
  attr1?: string;

  /**
   * 预留字段
   */
  attr2?: string;

  /**
   * 预留字段
   */
  attr3?: string;

  /**
   * 预留字段
   */
  attr4?: string;

}

export interface DefectDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  defectDetailId?: string | number;

  /**
   * 病疵编码
   */
  defectCode?: number;

  /**
   * 病疵描述
   */
  defectDesc?: string;

  /**
   * 病疵类型
   */
  defectType?: string;

  /**
   * 排序
   */
  sort?: string;

  /**
   * 工序
   */
  operation?: string;

  /**
   * 层级
   */
  defectLevel?: string;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;

  /**
   * 是否删除（1是 0否）
   */
  isFlag?: string;

  /**
   * 预留字段
   */
  attr1?: string;

  /**
   * 预留字段
   */
  attr2?: string;

  /**
   * 预留字段
   */
  attr3?: string;

  /**
   * 预留字段
   */
  attr4?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



