export interface GradeInfoVO {
  /**
   * 品级编码
   */
  gradeCode: string;

  /**
   * 品级名称
   */
  gradeName: string;

  /**
   * 工序编码
   */
  operationCode: string;

  /**
   * 工序名称
   */
  operationName: string;

  /**
   * 车间/工程
   */
  workshop: string;

  /**
   * 排序
   */
  sort: number;

  /**
   * 状态
   */
  status: string;

}

export interface GradeInfoForm extends BaseEntity {
  /**
   * 品级主键
   */
  gradeId?: string | number;

  /**
   * 品级编码
   */
  gradeCode?: string;

  /**
   * 品级名称
   */
  gradeName?: string;

  /**
   * 工序编码
   */
  operationCode?: string;

  /**
   * 工序名称
   */
  operationName?: string;

  /**
   * 车间/工程
   */
  workshop?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 状态
   */
  status?: string;

}

export interface GradeInfoQuery extends PageQuery {

  /**
   * 品级编码
   */
  gradeCode?: string;

  /**
   * 品级名称
   */
  gradeName?: string;

  /**
   * 工序编码
   */
  operationCode?: string;

  /**
   * 工序名称
   */
  operationName?: string;

  /**
   * 车间/工程
   */
  workshop?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 状态
   */
  status?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



