export interface InspectionItemsVO {
  /**
   * 主键标识
   */
  inspectionItemId: string | number;

  /**
   * 检验规则描述
   */
  itemDesc: string;

  /**
   * 检验规则描述
   */
  itemDesc: string;

  /**
   * 检验规则属性编码（定性0/定量1）
   */
  propertyCode: number;

  /**
   * 检验规则属性编码（定性0/定量1）
   */
  propertyCode: number;

  /**
   * 检验方式
   */
  inspectionMode: string;

  /**
   * 检验方式
   */
  inspectionMode: string;

  /**
   * 检验工具/设备
   */
  inspectionTool: string;

  /**
   * 检验工具/设备
   */
  inspectionTool: string;

  /**
   * 上限值
   */
  upperLimit: number;

  /**
   * 上限值
   */
  upperLimit: number;

  /**
   * 下限值
   */
  lowerLimit: number;

  /**
   * 下限值
   */
  lowerLimit: number;

  /**
   * 是否标识（1是 0否）
   */
  isFlag: string;

  /**
   * 预留字段
   */
  attr1: string;

  /**
   * 预留字段
   */
  attr2: string;

  /**
   * 预留字段
   */
  attr3: string;

  /**
   * 预留字段
   */
  attr4: string;

  /**
   * 创建人
   */
  createBy: string;

  /**
   * 创建时间
   */
  createTime: string;

}

export interface InspectionItemsForm extends BaseEntity {
  /**
   * 主键标识
   */
  inspectionItemId?: string | number;

  /**
   * 主键标识
   */
  inspectionItemId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 检验规则描述
   */
  itemDesc?: string;

  /**
   * 检验规则描述
   */
  itemDesc?: string;

  /**
   * 检验规则属性编码（定性0/定量1）
   */
  propertyCode?: number;

  /**
   * 检验规则属性编码（定性0/定量1）
   */
  propertyCode?: number;

  /**
   * 检验方式
   */
  inspectionMode?: string;

  /**
   * 检验方式
   */
  inspectionMode?: string;

  /**
   * 检验工具/设备
   */
  inspectionTool?: string;

  /**
   * 检验工具/设备
   */
  inspectionTool?: string;

  /**
   * 上限值
   */
  upperLimit?: number;

  /**
   * 上限值
   */
  upperLimit?: number;

  /**
   * 下限值
   */
  lowerLimit?: number;

  /**
   * 下限值
   */
  lowerLimit?: number;

  /**
   * 是否标识（1是 0否）
   */
  isFlag?: string;

  /**
   * 是否标识（1是 0否）
   */
  isFlag?: string;

  /**
   * 预留字段
   */
  attr1?: string;

  /**
   * 预留字段
   */
  attr1?: string;

  /**
   * 预留字段
   */
  attr2?: string;

  /**
   * 预留字段
   */
  attr2?: string;

  /**
   * 预留字段
   */
  attr3?: string;

  /**
   * 预留字段
   */
  attr3?: string;

  /**
   * 预留字段
   */
  attr4?: string;

  /**
   * 预留字段
   */
  attr4?: string;

  /**
   * 创建人
   */
  createBy?: string;

  /**
   * 更新人
   */
  updateBy?: string;

  /**
   * 更新时间
   */
  updateTime?: string;

}

export interface InspectionItemsQuery extends PageQuery {

  /**
   * 主键标识
   */
  inspectionItemId?: string | number;

  /**
   * 检验规则描述
   */
  itemDesc?: string;

  /**
   * 检验规则描述
   */
  itemDesc?: string;

  /**
   * 检验规则属性编码（定性0/定量1）
   */
  propertyCode?: number;

  /**
   * 检验规则属性编码（定性0/定量1）
   */
  propertyCode?: number;

  /**
   * 检验方式
   */
  inspectionMode?: string;

  /**
   * 检验方式
   */
  inspectionMode?: string;

  /**
   * 检验工具/设备
   */
  inspectionTool?: string;

  /**
   * 检验工具/设备
   */
  inspectionTool?: string;

  /**
   * 上限值
   */
  upperLimit?: number;

  /**
   * 下限值
   */
  lowerLimit?: number;

  /**
   * 是否标识（1是 0否）
   */
  isFlag?: string;

  /**
   * 预留字段
   */
  attr1?: string;

  /**
   * 预留字段
   */
  attr2?: string;

  /**
   * 预留字段
   */
  attr3?: string;

  /**
   * 预留字段
   */
  attr4?: string;

  /**
   * 创建人
   */
  createBy?: string;

  /**
   * 创建时间
   */
  createTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



