export interface RevisionInfoVO {
  /**
   * 原因编码
   */
  revisionCode: string;

  /**
   * 原因描述
   */
  revisionDesc: string;

}

export interface RevisionInfoForm extends BaseEntity {
  /**
   * 原因编码
   */
  revisionCode?: string;

  /**
   * 原因描述
   */
  revisionDesc?: string;

}

export interface RevisionInfoQuery extends PageQuery {

  /**
   * 原因编码
   */
  revisionCode?: string;

  /**
   * 原因描述
   */
  revisionDesc?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



