export interface HppStorageDetailVO {
  /**
   * 主键
   */
  objId: string | number;

  /**
   * 流水卡号
   */
  cardNo: string;

  /**
   * 工装架子号
   */
  shelfNo: string;

  /**
   * 入库类型
   */
  instockType: string;

  /**
   * 物料Id
   */
  materialId: string | number;

  /**
   * 库位id
   */
  storePlaceCode: string ;

  /**
   * 密炼来料数量
   */
  sourceNum: number;

  /**
   * 库存数量
   */
  storageNum: number;

}

export interface HppStorageDetailForm extends BaseEntity {
  /**
   * 主键
   */
  objId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 入库类型
   */
  instockType?: string;

  /**
   * 物料Id
   */
  materialId?: string | number;

  /**
   * 库位id
   */
  storePlaceCode?: string ;

  /**
   * 密炼来料数量
   */
  sourceNum?: number;

  /**
   * 库存数量
   */
  storageNum?: number;

}

export interface HppStorageDetailQuery extends PageQuery {

  /**
   * 主键
   */
  objId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 入库类型
   */
  instockType?: string;

  /**
   * 物料Id
   */
  materialId?: string | number;

  /**
   * 库位id
   */
  storePlaceCode?: string ;

  /**
   * 密炼来料数量
   */
  sourceNum?: number;

  /**
   * 库存数量
   */
  storageNum?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



