export interface HppStoreVO {
  /**
   * 主键
   */
  objId: string | number;

  /**
   * 仓库名
   */
  storeName: string;

  /**
   * 仓库代码
   */
  storeCode: string;

  /**
   * 仓库类型
   */
  storeType: number;

  /**
   * 使用状态
   */
  usedFlag: string;

  /**
   * sap代码
   */
  sapCode: string;

  /**
   * 仓库等级
   */
  storeLevel: number;

  /**
   * 上级目录
   */
  storeHigherLevel: number;

}

export interface HppStoreForm extends BaseEntity {
  /**
   * 主键
   */
  objId?: string | number;

  /**
   * 仓库名
   */
  storeName?: string;

  /**
   * 仓库代码
   */
  storeCode?: string;

  /**
   * 仓库类型
   */
  storeType?: number;

  /**
   * 使用状态
   */
  usedFlag?: string;

  /**
   * sap代码
   */
  sapCode?: string;

  /**
   * 仓库等级
   */
  storeLevel?: number;

  /**
   * 上级目录
   */
  storeHigherLevel?: number;

}

export interface HppStoreQuery extends PageQuery {

  /**
   * 主键
   */
  objId?: string | number;

  /**
   * 仓库名
   */
  storeName?: string;

  /**
   * 仓库代码
   */
  storeCode?: string;

  /**
   * 仓库类型
   */
  storeType?: number;

  /**
   * 使用状态
   */
  usedFlag?: string;

  /**
   * sap代码
   */
  sapCode?: string;

  /**
   * 仓库等级
   */
  storeLevel?: number;

  /**
   * 上级目录
   */
  storeHigherLevel?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



