export interface HppStorePlaceVO {
  /**
   * 主键id
   */
  objId: string | number;

  /**
   * 库位名
   */
  storePlaceName: string;

  /**
   * 库位代码
   */
  storePlaceCode: string;

  /**
   * 仓库id
   */
  storeId: string | number;

  /**
   * 使用状态
   */
  usedFlag: string;

  /**
   * 特殊库位
   */
  specitialType: string;

  /**
   * 位置类型
   */
  positionType: string;

}

export interface HppStorePlaceForm extends BaseEntity {
  /**
   * 主键id
   */
  objId?: string | number;

  /**
   * 库位名
   */
  storePlaceName?: string;

  /**
   * 库位代码
   */
  storePlaceCode?: string;

  /**
   * 仓库id
   */
  storeId?: string | number;

  /**
   * 使用状态
   */
  usedFlag?: string;

  /**
   * 特殊库位
   */
  specitialType?: string;

  /**
   * 位置类型
   */
  positionType?: string;

}

export interface HppStorePlaceQuery extends PageQuery {

  /**
   * 主键id
   */
  objId?: string | number;

  /**
   * 库位名
   */
  storePlaceName?: string;

  /**
   * 库位代码
   */
  storePlaceCode?: string;

  /**
   * 仓库id
   */
  storeId?: string | number;

  /**
   * 使用状态
   */
  usedFlag?: string;

  /**
   * 特殊库位
   */
  specitialType?: string;

  /**
   * 位置类型
   */
  positionType?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



