export interface PsmInLoadVO {
  /**
   * 表主键
   */
  inLoadId: string | number;

  /**
   * 装车班次
   */
  loadShift: number;

  /**
   * 装车班组
   */
  loadClass: number;

  /**
   * 工装条码
   */
  toolingBarcode: string;

  /**
   * 仓库名称
   */
  storeName: string;

  /**
   * 库位条码
   */
  storePlaceCode: string;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 轮胎规格
   */
  materialSpe: string;

  /**
   * 品级编号
   */
  checkGradeCode: string;

  /**
   * 装载数量
   */
  loadAmount: number;

}

export interface PsmInLoadForm extends BaseEntity {
  /**
   * 表主键
   */
  inLoadId?: string | number;

  /**
   * 装车班次
   */
  loadShift?: number;

  /**
   * 装车班组
   */
  loadClass?: number;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 库位条码
   */
  storePlaceCode?: string;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

  /**
   * 装载数量
   */
  loadAmount?: number;

}

export interface PsmInLoadQuery extends PageQuery {

  /**
   * 表主键
   */
  inLoadId?: string | number;

  /**
   * 装车班次
   */
  loadShift?: number;

  /**
   * 装车班组
   */
  loadClass?: number;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 库位条码
   */
  storePlaceCode?: string;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

  /**
   * 装载数量
   */
  loadAmount?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



