export interface BaseMaterialCategoryVO {
  /**
   * 大类ID
   */
  materialCategoryId: string | number;

  /**
   * 大类编号
   */
  materialCategoryCode: string;

  /**
   * 大类名称
   */
  materialCategoryName: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface BaseMaterialCategoryForm extends BaseEntity {
  /**
   * 大类ID
   */
  materialCategoryId?: string | number;

  /**
   * 大类编号
   */
  materialCategoryCode?: string;

  /**
   * 大类名称
   */
  materialCategoryName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseMaterialCategoryQuery extends PageQuery {

  /**
   * 大类ID
   */
  materialCategoryId?: string | number;

  /**
   * 大类编号
   */
  materialCategoryCode?: string;

  /**
   * 大类名称
   */
  materialCategoryName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



