export interface PsmInStockDetailVO {
  /**
   * 主键
   */
  objid: string | number;

  /**
   * 外键关联in_load表主键id
   */
  inStockId: string | number;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 物料规格
   */
  materialSpe: string;

  /**
   * 硫化条码
   */
  tyreNo: string;

  /**
   * 品级编号
   */
  checkGradeCode: string;

}

export interface PsmInStockDetailForm extends BaseEntity {
  /**
   * 主键
   */
  objid?: string | number;

  /**
   * 外键关联in_load表主键id
   */
  inStockId?: string | number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 硫化条码
   */
  tyreNo?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

}

export interface PsmInStockDetailQuery extends PageQuery {

  /**
   * 主键
   */
  objid?: string | number;

  /**
   * 外键关联in_load表主键id
   */
  inStockId?: string | number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 硫化条码
   */
  tyreNo?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



